Bug 101285 - Manage Conditional Formatting dialog doesn't remember position, column sizes, and range selection
Summary: Manage Conditional Formatting dialog doesn't remember position, column sizes,...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.2.0.1 rc
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: target:7.5.0 target:7.4.0.0.beta2
Keywords:
Depends on:
Blocks: Dialog-Remember-Settings
  Show dependency treegraph
 
Reported: 2016-08-04 04:07 UTC by Dan Dascalescu
Modified: 2022-07-04 13:15 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Conditional Formatting Manage dialog with long ranges (109.67 KB, image/png)
2016-08-04 04:07 UTC, Dan Dascalescu
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dan Dascalescu 2016-08-04 04:07:30 UTC
Created attachment 126566 [details]
Conditional Formatting Manage dialog with long ranges

1. In a spreadsheet with conditional formats, open Format -> Conditional Formatting -> Manage
2. Move the dialog (you might want to see some calls behind it in the spreadsheet)
3. Resize the Range column (some ranges can contain many cells)
4. Click on a range other than the first
5. Click Edit...
6. In the newly opened dialog, click Cancel

Notice that,
1. The position of the Manage dialog was reset so that it's in the middle of the parent LibreCalc window
2. The column widths have been reset as well, and you can no longer see the full range.
3. The first range is selected, instead of the one you edited.

This is annoying because as seen in the screenshot, I have a number of single-cell ranges which I suspect have the same conditions, but it's hard to go over each of them and verify that (which range I selected is reset when I close the Edit... dialog, and the first range is selected instead).
Comment 1 Buovjaga 2016-08-07 15:26:08 UTC
Reproduced.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.3.0.0.alpha0+
Build ID: f3d26af51588af441f62fb69bb7a5432845226ac
CPU Threads: 8; OS Version: Linux 4.6; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on August 5th 2016
Comment 2 QA Administrators 2018-01-16 03:29:32 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2020-03-08 02:50:44 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2022-03-09 03:46:24 UTC Comment hidden (obsolete)
Comment 5 Dan Dascalescu 2022-03-09 05:17:09 UTC
Bug still present 5+ years later in v7.1.8.1 / LibreOffice Community
Build ID: e1f30c802c3269a1d052614453f260e49458c82c
Comment 6 Heiko Tietze 2022-06-15 10:06:27 UTC
We did something similar recently for the bookmark dialog (bug 146261). However, restoring the column size failed (bug 149074) and I don't know how to fix this. Caolan, any idea meanwhile?

Guess to remember the position is still some help for you (the dialog is not resizable).
Comment 7 Commit Notification 2022-06-15 17:55:57 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a2b4620d4981ea205788b0a786845cf9ffdbf21d

Related tdf#101285 - Remember position of conditional format dialog

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Heiko Tietze 2022-06-22 09:53:45 UTC
Column size not remembered
Comment 9 Commit Notification 2022-06-24 17:42:03 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/f777a25f32b3c98a45cf1a24e130a5cce153f5d0

Related tdf#101285 - Remember position of conditional format dialog

It will be available in 7.4.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.